<template>
  <div id="template-principal">
    <header id="header">
      <div id="nav">
        <div class="row" style="margin: 10px;">
          <div class="col-1" v-if="arrow">
            <router-link :to="arrowUri" >
              <font-awesome-icon :icon="['fas', 'chevron-left']" />
            </router-link>
          </div>
          <div class="col-10">
            <h1 class="h3 mb-3">{{page}}</h1>
          </div>
        </div>
      </div>
    </header>
    <section style="margin-top: 60px;">
      <slot/>
    </section>
    <footer >
      <div class="container" >
        <div class="row" style="font-size:40px; padding-top: 10px;">
          <div class="col text-center">
            <router-link to="/" >
              <font-awesome-icon :icon="['fas', 'podcast']" />
            </router-link>
          </div>
          <div class="col text-center">
            <router-link to="upload" >
              <font-awesome-icon :icon="['fas', 'upload']" />
            </router-link>
          </div>
          <div class="col text-center">
            <router-link to="search" >
              <font-awesome-icon :icon="['fas', 'search']" />
            </router-link>
          </div>
          <div class="col text-center">
            <router-link to="settings" >
              <font-awesome-icon :icon="['fas', 'cog']" />
            </router-link>
          </div>
        </div>
      </div>
    </footer>
  </div>
</template>

<script>
export default {
  name: 'layout',
  props: {
    page: String,
    arrow: Boolean,
    arrowUri: String,
  },
  data () {
    return {

    }
  },
  watch: {

  },
  methods:{
    sair(){
      localStorage.clear()
      this.usuario = false
      this.$router.push('/login')
    }
  },
  mounted() {

  },
  created(){
    let token = localStorage.token

    if ( !token ) {
        this.$router.push('/login')
    }
  }
}
</script>

<style lang="sass">
  @import '@/assets/sass/app.sass'
</style>